httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Plüm, Rüdiger, VF EITO <ruediger.pl...@vodafone.com>
Subject AW: [VOTE] 2.0.57 candidate
Date Thu, 20 Apr 2006 06:38:24 GMT


> -----Ursprüngliche Nachricht-----
> Von: Colm MacCarthaigh 

> Candidate tarballs for 2.0.57 are now available for testing/voting at;
> 
> 	http://httpd.apache.org/dev/dist/
> 
> This doesn't include a changed notice-of-license text though, 
> which is a
> potential open issue.

Compiled and tested on RedHat AS4 :

waiting 60 seconds for server to start: ...
waiting 60 seconds for server to start: ok (waited 1 secs)
server localhost.localdomain:8529 started
server localhost.localdomain:8530 listening (mod_nntp_like)
server localhost.localdomain:8531 listening (mod_nntp_like_ssl)
server localhost.localdomain:8532 listening (mod_ssl)
server localhost.localdomain:8533 listening (ssl_optional_cc)
server localhost.localdomain:8534 listening (ssl_pr33791)
server localhost.localdomain:8535 listening (mod_cache)
server localhost.localdomain:8536 listening (mod_include)
server localhost.localdomain:8537 listening (mod_proxy)
server localhost.localdomain:8538 listening (proxy_http_bal1)
server localhost.localdomain:8539 listening (proxy_http_bal2)
server localhost.localdomain:8540 listening (proxy_http_balancer)
server localhost.localdomain:8541 listening (proxy_http_reverse)
server localhost.localdomain:8542 listening (mod_headers)
server localhost.localdomain:8543 listening (error_document)
server localhost.localdomain:8544 listening (mod_vhost_alias)
server localhost.localdomain:8545 listening (proxy_http_https)
server localhost.localdomain:8546 listening (proxy_https_https)
server localhost.localdomain:8547 listening (proxy_https_http)
[   info] adding source lib /tmp/httpd-test/perl-framework/Apache-Test/lib to @INC
[   info] adding source lib /tmp/httpd-test/perl-framework/Apache-Test/lib to @INC
[   info] adding source lib /tmp/httpd-test/perl-framework/Apache-Test/lib to @INC
t/apache/404................ok                                               
t/apache/acceptpathinfo.....ok                                               
t/apache/byterange..........ok                                               
t/apache/byterange2.........ok                                               
t/apache/chunkinput.........ok                                               
t/apache/contentlength......ok                                               
        2/20 skipped: skipping tests with empty C-L for httpd < 2.1.0
t/apache/errordoc...........ok                                               
t/apache/etags..............ok                                               
t/apache/getfile............ok                                               
t/apache/headers............ok                                               
t/apache/limits.............ok                                               
t/apache/options............ok                                               
t/apache/passbrigade........ok                                               
t/apache/post...............ok                                               
t/apache/pr18757............skipped
        all skipped: apache version 2.2.1 or higher is required, this is version 2.0.57, cannot
find module 'cgi'
t/apache/pr35292............skipped
        all skipped: apache version 2.1.8 or higher is required, this is version 2.0.57
t/apache/pr35330............ok                                               
t/apache/rwrite.............ok                                               
t/apr/uri...................ok                                               
t/filter/case...............skipped
        all skipped: cannot find module 'case_filter'
t/filter/case_in............skipped
        all skipped: cannot find module 'case_filter_in'
t/filter/input_body.........ok                                               
t/http11/basicauth..........ok                                               
t/http11/chunked............ok                                               
t/http11/chunked2...........skipped
        all skipped: cannot find module 'bucketeer'
t/http11/post...............ok                                               
t/modules/access............ok                                               
t/modules/alias.............ok                                               
t/modules/asis..............ok                                               
t/modules/autoindex.........ok                                               
t/modules/autoindex2........ok                                               
t/modules/cache.............skipped
        all skipped: apache version 2.1.9 or higher is required, this is version 2.0.57
t/modules/cgi...............ok                                               
t/modules/dav...............skipped
        all skipped: cannot find module 'HTTP::DAV'
t/modules/deflate...........ok                                               
        3/7 skipped: skipping 304/deflate tests without mod_cgi and httpd >= 2.1.0
t/modules/digest............ok                                               
t/modules/dir...............ok                                               
t/modules/env...............ok                                               
t/modules/expires...........ok                                               
t/modules/headers...........ok                                               
t/modules/include...........ok                                               
        14/85 skipped: Skipping bucket boundary tests, no mod_bucketeer, 1/85 unexpectedly
succeeded
t/modules/info..............ok                                               
t/modules/negotiation.......ok                                               
t/modules/proxy.............ok                                               
        2/13 skipped: skipping tests with httpd <2.1.0
t/modules/proxy_balancer....skipped
        all skipped: cannot find module 'proxy_balancer'
t/modules/rewrite...........ok                                               
t/modules/setenvif..........ok                                               
t/modules/status............ok                                               
t/modules/vhost_alias.......ok                                               
t/php/all...................skipped
        all skipped: cannot find one of php4 or php5 or sapi_apache2.c
t/protocol/echo.............skipped
        all skipped: cannot find module 'mod_echo'
t/protocol/nntp-like........ok                                               
t/security/CVE-2003-0542....ok                                               
t/security/CVE-2004-0747....ok                                               
t/security/CVE-2004-0811....ok                                               
t/security/CVE-2004-0940....ok                                               
t/security/CVE-2004-0942....ok                                               
t/security/CVE-2004-0958....skipped
        all skipped: cannot find one of php4 or php5 or sapi_apache2.c
t/security/CVE-2004-0959....skipped
        all skipped: cannot find one of php4 or php5 or sapi_apache2.c, PHP not installed
t/security/CVE-2005-2491....ok                                               
t/security/CVE-2005-2700....ok                                               
t/security/CVE-2005-3352....ok                                               
t/security/CVE-2005-3357....ok                                               
        1/3 skipped: server gave HTTP/0.9 response
t/ssl/basicauth.............ok                                               
t/ssl/env...................ok                                               
t/ssl/extlookup.............skipped
        all skipped: apache version 2.1 or higher is required, this is version 2.0.57
t/ssl/fakeauth..............skipped
        all skipped: cannot find module 'mod_authn_anon', apache version 2.1 or higher is
required, this is version 2.0.57
t/ssl/headers...............ok                                               
        3/3 skipped: Skipping because mod_headers doesn't grok %s
t/ssl/http..................ok                                               
        1/2 skipped: server gave HTTP/0.9 response
t/ssl/pr12355...............skipped
        all skipped: apache version 2.1.8 or higher is required, this is version 2.0.57
t/ssl/proxy.................ok                                               
t/ssl/require...............ok                                               
t/ssl/v2....................ok                                               
t/ssl/varlookup.............ok                                               
t/ssl/verify................ok                                               
All tests successful (1 subtest UNEXPECTEDLY SUCCEEDED), 15 tests and 26 subtests skipped.
Files=75, Tests=2769, 498 wallclock secs (312.83 cusr + 44.68 csys = 357.51 CPU)
[warning] server localhost.localdomain:8529 shutdown

Looks good to me. So +1.

Regards

Rüdiger



Mime
View raw message